import { isLinkAbsolute, isLinkHttp } from "@vuepress/helper/client";
import { h, resolveComponent } from "vue";
import { withBase } from "vuepress/client";
const HopeIcon = (props) => {
    const { icon = "", color, size } = props;
    const style = color || size ? {} : null;
    if (color)
        style["color"] = color;
    if (size)
        style["height"] = Number.isNaN(Number(size)) ? size : `${size}px`;
    return isLinkHttp(icon)
        ? h("img", {
            class: "icon",
            src: icon,
            alt: "",
            "no-view": "",
            style,
        })
        : isLinkAbsolute(icon)
            ? h("img", {
                class: "icon",
                src: withBase(icon),
                alt: "",
                "aria-hidden": "",
                "no-view": "",
                style,
            })
            : h(resolveComponent("FontIcon"), props);
};
HopeIcon.displayName = "HopeIcon";
export default HopeIcon;
//# sourceMappingURL=HopeIcon.js.map