import { isActiveLink } from "vuepress-shared/client";
export const isActiveSidebarItem = (route, item, exact = false) => {
    if ("activeMatch" in item)
        return new RegExp(item.activeMatch, "u").test(route.path);
    if (isActiveLink(route, item.link))
        return true;
    if ("children" in item && !exact)
        return item.children.some((child) => isActiveSidebarItem(route, child));
    return false;
};
//# sourceMappingURL=isActiveSidebarItem.js.map